/* tables.c */

#include <stdio.h>

void read_table(int table[], int count)
{
   int i;

   for (i = 0; i < count; i++)
      scanf("%d", &table[i]);
}

void print_table(int table[], int count)
{
   int i;

   for (i = 0; i < count; i++)
      printf("%d\n", table[i]);
}

int smallest(int table[], int count)
{
   int i, index_smallest = 0;

   for (i = 1; i < count; i++)
      if (table[i] < table[index_smallest]) index_smallest = i;
   return(index_smallest);
}

void sort_table(int table[], int count)
{
   int i, index;
   int tmp;

   for (i = 0; i < count-1; i++)
   {
      index = smallest(&table[i], count-i);
      tmp = table[i];
      table[i] = table[i+index];
      table[i+index] = tmp;
   }
}
